## Tech Stack

This table lists the key libraries, tools, and utilities used in the project's tech stack, along with their respective versions and brief descriptions.

| Library                                                                                              | Category             | Version  | Description                                                           |
| ---------------------------------------------------------------------------------------------------- | -------------------- | -------- | --------------------------------------------------------------------- |
| [React Native](https://www.npmjs.com/package/react-native)                                           | Mobile Development   | 0.73.6   | A framework for building native apps using React                      |
| [React](https://www.npmjs.com/package/react)                                                         | UI Library           | 18.2.0   | A JavaScript library for building user interfaces                     |
| [Typescript](https://www.npmjs.com/package/typescript)                                               | Development Tools    | 5.0.4    | TypeScript is a language for application scale JavaScript development |
| [Prettier](https://www.npmjs.com/package/prettier)                                                   | Development Tools    | 2.8.8    | Opinionated Code Formatter                                            |
| [React Navigation](https://www.npmjs.com/package/@react-navigation/native)                           | Navigation           | ^6.1.10  | React Native Navigation                                               |
| [React Navigation Native Stack](https://www.npmjs.com/package/@react-navigation/native-stack)        | Navigation           | ^6.9.18  | Stack navigator for React Navigation                                  |
| [React Navigation Bottom Tabs](https://www.npmjs.com/package/@react-navigation/bottom-tabs)          | Navigation           | ^6.5.12  | Bottom tab navigator for React Navigation                             |
| [React Navigation Drawer](https://www.npmjs.com/package/@react-navigation/drawer)                    | Navigation           | ^6.6.7   | Drawer navigator for React Navigation                                 |
| [Async Storage](https://www.npmjs.com/package/@react-native-async-storage/async-storage)             | Storage              | ^1.22.3  | Asynchronous storage system for React Native                          |
| [Axios](https://www.npmjs.com/package/axios)                                                         | HTTP Requests        | ^1.6.7   | Promise based HTTP client for the browser and node.js                 |
| [Redux Toolkit](https://www.npmjs.com/package/@reduxjs/toolkit)                                      | State Management     | ^2.2.0   | Redux Toolkit simplifies Redux state management                       |
| [Redux](https://www.npmjs.com/package/react-redux)                                                   | State Management     | ^9.1.0   | Official React bindings for Redux                                     |
| [Redux Persist](https://www.npmjs.com/package/redux-persist)                                         | State Management     | ^6.0.0   | Persist and rehydrate a Redux store                                   |
| [i18next](https://www.npmjs.com/package/i18next)                                                     | Internationalization | ^23.8.2  | Internationalization framework for JavaScript                         |
| [React i18next](https://www.npmjs.com/package/react-i18next)                                         | Internationalization | ^14.0.5  | Internationalization for React                                        |
| [SVG](https://www.npmjs.com/package/react-native-svg)                                                | Graphics             | ^15.1.0  | SVG library for React Native                                          |
| [SVG Transformer](https://www.npmjs.com/package/react-native-svg-transformer)                        | Build Tool           | ^1.3.0   | Transform SVGs into React Native components                           |
| [Toast Message](https://www.npmjs.com/package/react-native-toast-message)                            | UI Components        | ^2.2.0   | Toast messages for React Native                                       |
| [Webview](https://www.npmjs.com/package/react-native-webview)                                        | UI Components        | ^13.8.2  | WebView component for React Native                                    |
| [In App Updates](https://www.npmjs.com/package/sp-react-native-in-app-updates)                       | Utilities            | ^1.4.0   | React Native in-app updates                                           |
| [Reanimated](https://www.npmjs.com/package/react-native-reanimated)                                  | Animation            | ^3.7.0   | React Native Reanimated library for animations                        |
| [Apple Authentication](https://www.npmjs.com/package/@invertase/react-native-apple-authentication)   | Authentication       | ^2.3.0   | React Native Apple Authentication wrapper                             |
| [Google Signin](https://www.npmjs.com/package/@react-native-google-signin/google-signin)             | Authentication       | ^11.0.0  | Google Sign-In for React Native                                       |
| [Biometrics](https://www.npmjs.com/package/react-native-biometrics)                                  | Authentication       | ^3.0.1   | React Native Biometrics authentication                                |
| [Bootsplash](https://www.npmjs.com/package/react-native-bootsplash)                                  | UI Components        | ^5.4.0   | React Native splash screen                                            |
| [Config](https://www.npmjs.com/package/react-native-config)                                          | Configuration        | ^1.5.1   | Access environment variables in React Native                          |
| [Device Info](https://www.npmjs.com/package/react-native-device-info)                                | Device Information   | ^10.13.1 | Get device information in React Native                                |
| [Image Crop Picker](https://www.npmjs.com/package/react-native-image-crop-picker)                    | Image Processing     | ^0.40.3  | Image cropping and picking in React Native                            |
| [Keychain](https://www.npmjs.com/package/react-native-keychain)                                      | Security             | ^8.2.0   | Keychain access for React Native                                      |
| [Otp Verify](https://www.npmjs.com/package/react-native-otp-verify)                                  | Utilities            | ^1.1.8   | OTP verification for React Native                                     |
| [Segmented Control](https://www.npmjs.com/package/@react-native-segmented-control/segmented-control) | UI Components        | ^2.5.0   | Segmented control component for React Native                          |
| [react-native-gesture-handler](https://www.npmjs.com/package/react-native-gesture-handler)           | UI Components        | ^2.15.0  | Gesture management in React Native                                    |
| [react-native-screens](https://www.npmjs.com/package/react-native-screens)                           | UI Components        | ^3.29.0  | Native navigation primitives for React Native                         |
| [react-native-safe-area-context](https://www.npmjs.com/package/react-native-safe-area-context)       | UI Components        | ^4.9.0   | React Native Safe Area Context                                        |
