# Mockoon Setup Instructions

1. **Download Mockoon:**

   - Download Mockoon from the official website: [Mockoon](https://mockoon.com/).

2. **Installation:**

   - Install Mockoon on your system.

3. **Copy Configuration:**

   - Copy the content from [Here](./mockoon.json).

4. **Open Mockoon:**

   - Open the Mockoon application.

5. **Create New Environment:**

   - Go to the "File" menu.
   - Click on "New Environment from Clipboard."
   - <img src="./screenshots/new_env_from_clip.png" >

6. **Save Configuration:**

   - Save the new environment to your desired location.
   - <img src="./screenshots/save_location.png" >

7. **Start Service:**

   - Click on the "Start Service" button (Green play button) within Mockoon.
   - <img src="./screenshots/start_server.png" >

8. **Run Locally:**

   - Now, you can run all APIs on your localhost using Mockoon.

9. **Run in android device**

   - To run localhost api in android device additional setup is required. Run below command in project folder.

   ```terminal
   yarn adb-reverse
   ```

10. **API Usage Instruction:**

- Test credentials for sign in are: username: "demouser@mail.com" and password: "Test@1234".
- Username and OTP for forget password are: username: "demouser@mail.com" and OTP: "123456"
- As we are mocking the request and response using Mockoon. If we are registering a new user with some credentials we are just mocking the response as success. As we don't have any database integrated so It doesn't store a new user anywhere. So we always need to login with our test credentials.

These steps should help you set up Mockoon and run APIs locally. If you have any specific content to paste into the configuration or encounter any issues during the setup, please provide more details for further assistance.
