# i18n - Multilanguage Support

This package facilitates internationalization (i18n) and multilanguage support in React Native applications. It utilizes i18next and react-i18next libraries for seamless integration.

# Usage

##### Importing translations

```javascript
import {useTranslation} from 'react-i18next';
const {t, i18n} = useTranslation();
```

##### Displaying translated strings

```javascript
<Text>{t('login.title')}</Text>
```

##### Changing language dynamically

```javascript
i18n.changeLanguage('fr');
```

#### Note

- Ensure that language files (`en.js`, `fr.js`, etc.) are properly structured with key-value pairs representing translations.
- It's recommended to manage translations separately from the code, such as in JSON files, for better organization and maintainability.

For more details and advanced usage, refer to the **[official documentation](https://react.i18next.com/)**.
