# Service

## Social Sign-ins

### Sign-in with Apple:

This guide offers comprehensive instructions for seamlessly integrating the "Sign in with Apple" service into your React Native application. "Sign in with Apple" empowers users to easily sign in to your app utilizing their Apple ID.

This require additional setup,
[Initial development environment setup](https://github.com/invertase/react-native-apple-authentication/blob/main/docs/INITIAL_SETUP.md)

**[Refer to the documentation for the complete setup process](https://github.com/invertase/react-native-apple-authentication)**

### Sign-in with Google:

The Google Sign-In component allows users to sign in to your application using their Google account credentials. This component provides a seamless integration with Google authentication services and handles sign-in flows efficiently.

This require additional setup,

- [IOS setup](https://react-native-google-signin.github.io/docs/setting-up/ios)
- [Android setup](https://react-native-google-signin.github.io/docs/setting-up/android)

**[Refer to the documentation for the complete setup process](https://www.npmjs.com/package/@react-native-google-signin/google-signin)**

## BiometricAuth

This component provides a seamless way to incorporate biometric authentication (e.g., Touch ID, Face ID) into your React Native application.

### Features

- Supports Touch ID and Face ID authentication.
- Retrieves biometric sensor information and user credentials from the keychain.
- Displays appropriate icons and messages based on available biometric types.

### Note

Ensure that the necessary permissions are set up in your application for biometric authentication to work properly.

Refer to the documentation of **[react-native-biometrics](https://www.npmjs.com/package/react-native-biometrics)** for more details.

## In-App Update

This component integrates in-app update functionality into your React Native application, allowing you to check for updates from the stores (Play Store for Android, App Store for iOS) and prompt users for an update if necessary.

### Features

- Supports checking for updates from app stores.
- Automatically prompts users for updates if a new version is available.
- Flexible update options for Android devices.

Refer to the documentation of **[sp-react-native-in-app-updates](https://www.npmjs.com/package/sp-react-native-in-app-updates)** for more details.
