# Font Size and Line Height Module

This module defines font sizes and line heights for different text styles used throughout the application. Adjust these values as needed for consistent typography and spacing.

## Font Sizes

The following font sizes are defined:

- **Heading 1 (h1)**: 30px
- **Heading 2 (h2)**: 22px
- **Heading 3 (h3)**: 18px
- **Heading 4 (h4)**: 15px
- **Heading 5 (h5)**: 12px
- **Heading 6 (h6)**: 10px
- **Body text**: 14px
- **Body text variant 1 (body1)**: 12px
- **Body text variant 2 (body2)**: 10px

## Line Height

The line heights are calculated based on the font sizes and a default line height factor of 1.4. Ideally, line height values should be between 1.2 to 1.6 for optimal readability.

The line heights for different text styles are as follows:

- **Heading 1 (h1)**: 42px
- **Heading 2 (h2)**: 31px
- **Heading 3 (h3)**: 25px
- **Heading 4 (h4)**: 21px
- **Heading 5 (h5)**: 17px
- **Heading 6 (h6)**: 14px
- **Body text**: 20px
- **Body text variant 1 (body1)**: 17px
- **Body text variant 2 (body2)**: 14px

Adjust these values according to your design requirements and preferences.
