# Preset Themes

In QuickLaunchReactNativeKit, you have predefined themes that users can select from. This document outlines the process of updating the preset theme type.

## List of available themes:

Here are the tables for each theme with light and dark mode hex color values:

## Theme 1

| Type                | Light                                                                     | Dark                                                                      |
| ------------------- | ------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| Primary             | ![#AF545B](https://via.placeholder.com/11/AF545B/000000?text=+) `#AF545B` | ![#AF545B](https://via.placeholder.com/11/AF545B/000000?text=+) `#AF545B` |
| Text                | ![#333333](https://via.placeholder.com/11/333333/000000?text=+) `#333333` | ![#E6E6E6](https://via.placeholder.com/11/E6E6E6/000000?text=+) `#E6E6E6` |
| Background          | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#181D3D](https://via.placeholder.com/11/181D3D/000000?text=+) `#181D3D` |
| BackgroundSecondary | ![#F5F5F5](https://via.placeholder.com/11/F5F5F5/000000?text=+) `#F5F5F5` | ![#111a2b](https://via.placeholder.com/11/111A2B/000000?text=+) `#111A2B` |
| Tertiary            | ![#181D3D](https://via.placeholder.com/11/181D3D/000000?text=+) `#181D3D` | ![#D2D2D2](https://via.placeholder.com/11/D2D2D2/000000?text=+) `#D2D2D2` |
| ButtonTextPrimary   | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#BBC2D8](https://via.placeholder.com/11/BBC2D8/000000?text=+) `#BBC2D8` |
| ButtonTextSecondary | ![#C8C8C8](https://via.placeholder.com/11/C8C8C8/000000?text=+) `#C8C8C8` | ![#AFAFAF](https://via.placeholder.com/11/AFAFAF/000000?text=+) `#AFAFAF` |
| Border              | ![#E6E6E6](https://via.placeholder.com/11/E6E6E6/000000?text=+) `#E6E6E6` | ![#333333](https://via.placeholder.com/11/333333/000000?text=+) `#333333` |
| PlaceholderText     | ![#808080](https://via.placeholder.com/11/808080/000000?text=+) `#808080` | ![#808080](https://via.placeholder.com/11/808080/000000?text=+) `#808080` |
| Card                | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#181D3D](https://via.placeholder.com/11/181D3D/000000?text=+) `#181D3D` |

#### Screenshots

<table>
  <tr>
    <td><img alt="sign-in-light" src="../../../screenshots/theme1/sign-in-light.png" /></td>
    <td><img alt="sign-in-dark" src="../../../screenshots/theme1/sign-in-dark.png" /></td>
    <td><img alt="settings-light" src="../../../screenshots/theme1/settings-light.png" /></td>
    <td><img alt="settings-dark" src="../../../screenshots/theme1/settings-dark.png" /></td>
  </tr>
</table>

## Theme 2

| Type                | Light                                                                     | Dark                                                                      |
| ------------------- | ------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| Primary             | ![#F00001](https://via.placeholder.com/11/F00001/000000?text=+) `#F00001` | ![#F00001](https://via.placeholder.com/11/F00001/000000?text=+) `#F00001` |
| Text                | ![#333333](https://via.placeholder.com/11/333333/000000?text=+) `#333333` | ![#E6E6E6](https://via.placeholder.com/11/E6E6E6/000000?text=+) `#E6E6E6` |
| Background          | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#1E1E1E](https://via.placeholder.com/11/1E1E1E/000000?text=+) `#1E1E1E` |
| BackgroundSecondary | ![#F5F5F5](https://via.placeholder.com/11/F5F5F5/000000?text=+) `#F5F5F5` | ![#282828](https://via.placeholder.com/11/282828/000000?text=+) `#282828` |
| Tertiary            | ![#999999](https://via.placeholder.com/11/999999/000000?text=+) `#999999` | ![#999999](https://via.placeholder.com/11/999999/000000?text=+) `#999999` |
| ButtonTextPrimary   | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#FEFFFF](https://via.placeholder.com/11/FEFFFF/000000?text=+) `#FEFFFF` |
| ButtonTextSecondary | ![#C8C8C8](https://via.placeholder.com/11/C8C8C8/000000?text=+) `#C8C8C8` | ![#BBC2D8](https://via.placeholder.com/11/BBC2D8/000000?text=+) `#BBC2D8` |
| Border              | ![#E6E6E6](https://via.placeholder.com/11/E6E6E6/000000?text=+) `#E6E6E6` | ![#333333](https://via.placeholder.com/11/333333/000000?text=+) `#333333` |
| PlaceholderText     | ![#808080](https://via.placeholder.com/11/808080/000000?text=+) `#808080` | ![#D2D2D2](https://via.placeholder.com/11/D2D2D2/000000?text=+) `#D2D2D2` |
| Card                | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#1E1E1E](https://via.placeholder.com/11/1E1E1E/000000?text=+) `#1E1E1E` |

#### Screenshots

<table>
  <tr>
    <td><img alt="sign-in-light" src="../../../screenshots/theme2/sign-in-light.png" /></td>
    <td><img alt="sign-in-dark" src="../../../screenshots/theme2/sign-in-dark.png" /></td>
    <td><img alt="settings-light" src="../../../screenshots/theme2/settings-light.png" /></td>
    <td><img alt="settings-dark" src="../../../screenshots/theme2/settings-dark.png" /></td>
  </tr>
</table>

## Theme 3

| Type                | Light                                                                     | Dark                                                                      |
| ------------------- | ------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| Primary             | ![#8034DE](https://via.placeholder.com/11/8034DE/000000?text=+) `#8034DE` | ![#8034DE](https://via.placeholder.com/11/8034DE/000000?text=+) `#8034DE` |
| Text                | ![#333333](https://via.placeholder.com/11/333333/000000?text=+) `#333333` | ![#E6E6E6](https://via.placeholder.com/11/E6E6E6/000000?text=+) `#E6E6E6` |
| Background          | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#1E1E1E](https://via.placeholder.com/11/1E1E1E/000000?text=+) `#1E1E1E` |
| BackgroundSecondary | ![#F5F5F5](https://via.placeholder.com/11/F5F5F5/000000?text=+) `#F5F5F5` | ![#282828](https://via.placeholder.com/11/282828/000000?text=+) `#282828` |
| Tertiary            | ![#999999](https://via.placeholder.com/11/999999/000000?text=+) `#999999` | ![#999999](https://via.placeholder.com/11/999999/000000?text=+) `#999999` |
| ButtonTextPrimary   | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#FEFFFF](https://via.placeholder.com/11/FEFFFF/000000?text=+) `#FEFFFF` |
| ButtonTextSecondary | ![#C8C8C8](https://via.placeholder.com/11/C8C8C8/000000?text=+) `#C8C8C8` | ![#BBC2D8](https://via.placeholder.com/11/BBC2D8/000000?text=+) `#BBC2D8` |
| Border              | ![#E6E6E6](https://via.placeholder.com/11/E6E6E6/000000?text=+) `#E6E6E6` | ![#333333](https://via.placeholder.com/11/333333/000000?text=+) `#333333` |
| PlaceholderText     | ![#808080](https://via.placeholder.com/11/808080/000000?text=+) `#808080` | ![#D2D2D2](https://via.placeholder.com/11/D2D2D2/000000?text=+) `#D2D2D2` |
| Card                | ![#FFFFFF](https://via.placeholder.com/11/FFFFFF/000000?text=+) `#FFFFFF` | ![#1E1E1E](https://via.placeholder.com/11/1E1E1E/000000?text=+) `#1E1E1E` |

#### Screenshots

<table>
  <tr>
    <td><img alt="sign-in-light" src="../../../screenshots/theme3/sign-in-light.png" /></td>
    <td><img alt="sign-in-dark" src="../../../screenshots/theme3/sign-in-dark.png" /></td>
    <td><img alt="settings-light" src="../../../screenshots/theme3/settings-light.png" /></td>
    <td><img alt="settings-dark" src="../../../screenshots/theme3/settings-dark.png" /></td>
  </tr>
</table>

## Update App Theme

To update the preset theme type, you need to modify the `settings` object in your application's codebase.

```typescript
import {ThemeList} from './src/theme';

/**
 * Default settings for the application.
 */
export const settings: Settings = {
  theme: 'theme2', // Change this to the desired theme
  navigationType: 'tab',
};
```

### Instructions

1. Open the file containing the `settings` object in your application's codebase.
2. Locate the `theme` property within the `settings` object.
3. Update the value of the `theme` property to one of the predefined themes available in your application. You can choose from `theme1`, `theme2`, or `theme3`.
4. Save the changes.
